## org.eclipse.wst.common.environment
Interface IStatusHandler

All Known Implementing Classes:
  NullStatusHandler

    public interface IStatusHandler

Processes status events raised by the caller and returns an indication of choices made by the recipient of the status and may raise an exception against the caller to have them abort procesing.

Since:
  1.0

Method Summary
`void` `report(org.eclipse.core.runtime.IStatus status)` Reports the given Status with implied options to either continue or abort.
`Choice` `report(org.eclipse.core.runtime.IStatus status, Choice[] choices)` Reports the given Status and set of possible responses.
`void` `reportError(org.eclipse.core.runtime.IStatus status)` Report the given Error Status.
`void` `reportInfo(org.eclipse.core.runtime.IStatus status)` Report the given Info Status.

Method Detail

### report

    Choice report(org.eclipse.core.runtime.IStatus status,
                  Choice[] choices)

  Reports the given Status and set of possible responses.

  Parameters:
    `status` - the status to report.
    `choices` - the choices that will be displayed to the user.
  Returns:
    returns the choice made by the user/handler.

### report

    void report(org.eclipse.core.runtime.IStatus status)
                throws StatusException

  Reports the given Status with implied options to either continue or abort.

  Parameters:
    `status` - the status to report.
  Throws:
    `StatusException` - Throws an exception if the handler decides the caller should stop processing.

### reportError

    void reportError(org.eclipse.core.runtime.IStatus status)

  Report the given Error Status. No user feedback is provided.

  Parameters:
    `status` - the error status to report.

### reportInfo

    void reportInfo(org.eclipse.core.runtime.IStatus status)

  Report the given Info Status. No user feedback is provided.

  Parameters:
    `status` - the info status to report.